package model

import (
	"time"
)

type UserPublicPlatoonDoubleNetworkUserCoinRecord struct {
	Id         int       `json:"id" xorm:"not null pk autoincr INT(11)"`
	Uid        int       `json:"uid" xorm:"not null default 0 comment('uid') INT(11)"`
	LastAmount string    `json:"last_amount" xorm:"not null default 0.0000 comment('上次金额') DECIMAL(10,4)"`
	Amount     string    `json:"amount" xorm:"not null default 0.0000 comment('当前金额') DECIMAL(10,4)"`
	CoinId     int       `json:"coin_id" xorm:"not null default 0 comment('虚拟币id(作用于成长值)') INT(11)"`
	CreateAt   time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
	UpdateAt   time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
